Subject: Re: linux-next: build failure after merge of the thermal-soc tree

From: Eduardo Valentin <[email-masked]>
Date: Mon, 9 Nov 2015 11:17:30 -0800

Stephen,

On Thu, Nov 05, 2015 at 06:22:00PM +0800, Caesar Wang wrote:
> 
> 
> 在 2015年11月05日 13:01, Stephen Rothwell 写道:
> >Hi Eduardo,
> >
> >After merging the thermal-soc tree, today's linux-next build (powerpc
> >allyesconfig) failed like this:
> >
> >drivers/thermal/rockchip_thermal.c: In function 'rockchip_thermal_suspend':
> >drivers/thermal/rockchip_thermal.c:641:2: error: implicit declaration of function 'pinctrl_pm_select_sleep_state' [-Werror=implicit-function-declaration]
> >   pinctrl_pm_select_sleep_state(dev);
> >   ^
> >drivers/thermal/rockchip_thermal.c: In function 'rockchip_thermal_resume':
> >drivers/thermal/rockchip_thermal.c:679:2: error: implicit declaration of function 'pinctrl_pm_select_default_state' [-Werror=implicit-function-declaration]
> >   pinctrl_pm_select_default_state(dev);
> >   ^
> 

Thanks, I wonder why I did not catch this in my bots.

> That's indeed wonder that I build up in next-kernel-v4.3, applied
> into chromium v3.14 stable kernel.
> 
> from the log I guess wee need the include file:
> "#include <linux/pinctrl/consumer.h>"

Caesar, are you sending a patch or should I just take care of it?

BR,

> 
> 
> >
> >Caused by commit
> >
> >   7e38a5b1daa1 ("thermal: rockchip: support the sleep pinctrl state to avoid glitches")
> >
> >Probably just a missing include file.
> >
> >I have reverted that commit for today.
> >
> >
> >
> 
> -- 
> Yours,
> Caesar
> 
> 
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/